#include <bits/stdc++.h>
using namespace std;
const int DIM = 36;
long long n,c,q;
long long a,b;
string s;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(0);
cout.tie(0);
cin>>s;
cin>>n;
c=1;
for(int i=1;i<=n;i++){
    cin>>a>>b;
    for(int j=a-1;j<b-1;j++){
        if(s[j]>s[j+1]){
                c++;
        }
    }
    cout<<c<<" ";
    c=1;
}

    return 0;
}
